{ config, pkgs, lib, ... }:
{
  # Boot drives are defined in ./hardware-configuration.nix

  environment.systemPackages = with pkgs; [ cifs-utils ];

  # Local zfs
  boot = {
    zfs = {
      extraPools = [ "tank" ];
      requestEncryptionCredentials = false;
    };
    supportedFilesystems = [ "zfs" ];
  };
  services.zfs.autoScrub = {
    enable = true;
    interval = "Wed *-*-8..14 00:00:00";
  };

  fileSystems = {
    "/mnt/feal-syn1/backup" = {
      # device = "feal-syn1.home.feal.no:/volume2/backup";
      device = "192.168.10.162:/volume2/backup";
      fsType = "nfs";
      options = [
        "defaults"
        "noatime"
        "rw"
        "nfsvers=3"
        "x-systemd.automount"
        "noauto"
      ];
    };
    "/mnt/feal-syn2/backup" = {
      # device = "feal-syn1.home.feal.no:/volume2/backup";
      device = "192.168.11.163:/volume1/challenger";
      fsType = "nfs";
      options = [
        "defaults"
        "noatime"
        "rw"
        "nfsvers=3"
        "x-systemd.automount"
        "noauto"
      ];
    };
  };
}
